## percona-server-mongodb 4.0.28

=== SConstruct ===
# -*- mode: python; -*-
import atexit
import copy
import datetime
import errno
import json
import os
import re
import shlex
import shutil
import stat
import subprocess
import sys
import textwrap
import uuid
import multiprocessing

import SCons

# This must be first, even before EnsureSConsVersion, if
# we are to avoid bulk loading all tools in the DefaultEnvironment.
DefaultEnvironment(tools=[])

# These come from site_scons/mongo. Import these things
# after calling DefaultEnvironment, for the sake of paranoia.
import mongo
import mongo.platform as mongo_platform
import mongo.toolchain as mongo_toolchain
import mongo.generators as mongo_generators

EnsurePythonVersion(2, 7)
EnsureSConsVersion(2, 5)

from buildscripts import utils
from buildscripts import moduleconfig

import libdeps

atexit.register(mongo.print_build_failures)

def add_option(name, **kwargs):

    if 'dest' not in kwargs:
        kwargs['dest'] = name

    if 'metavar' not in kwargs and kwargs.get('type', None) == 'choice':
        kwargs['metavar'] = '[' + '|'.join(kwargs['choices']) + ']'

    AddOption('--' + name, **kwargs)

def get_option(name):
    return GetOption(name)

def has_option(name):
    optval = GetOption(name)
    # Options with nargs=0 are true when their value is the empty tuple. Otherwise,
    # if the value is falsish (empty string, None, etc.), coerce to False.
    return True if optval == () else bool(optval)

def use_system_version_of_library(name):
    return has_option('use-system-all') or has_option('use-system-' + name)

# Returns true if we have been configured to use a system version of any C++ library. If you
# add a new C++ library dependency that may be shimmed out to the system, add it to the below
# list.
def using_system_version_of_cxx_libraries():
    cxx_library_names = ["tcmalloc", "boost"]
    return True in [use_system_version_of_library(x) for x in cxx_library_names]

def make_variant_dir_generator():
    memoized_variant_dir = [False]
    def generate_variant_dir(target, source, env, for_signature):
        if not memoized_variant_dir[0]:
            memoized_variant_dir[0] = env.subst('$BUILD_ROOT/$VARIANT_DIR')
        return memoized_variant_dir[0]
    return generate_variant_dir


# Always randomize the build order to shake out missing edges, and to help the cache:
# http://scons.org/doc/production/HTML/scons-user/ch24s06.html
SetOption('random', 1)

# Options TODOs:
#
# - We should either alphabetize the entire list of options, or split them into logical groups
#   with clear boundaries, and then alphabetize the groups. There is no way in SCons though to
#   inform it of options groups.
#
# - Many of these options are currently only either present or absent. This is not good for
#   scripting the build invocation because it means you need to interpolate in the presence of
#   the whole option. It is better to make all options take an optional on/off or true/false
#   using the nargs='const' mechanism.
#

add_option('prefix',
    default='$BUILD_ROOT/install',
    help='installation prefix',
)

add_option('install-mode',
    choices=['legacy', 'hygienic'],
    default='legacy',
    help='select type of installation',
    nargs=1,
    type='choice',
)

add_option('nostrip',
    help='do not strip installed binaries',
    nargs=0,
)

add_option('build-dir',
    default='#build',
    help='build output directory',
)

add_option('release',
    help='release build',
    nargs=0,
)

add_option('lto',
    help='enable link time optimizations (experimental, except with MSVC)',
    nargs=0,
)

add_option('dynamic-windows',
    help='dynamically link on Windows',
    nargs=0,
)

add_option('endian',
    choices=['big', 'little', 'auto'],
    default='auto',
    help='endianness of target platform',
    nargs=1,
    type='choice',
)

add_option('disable-minimum-compiler-version-enforcement',
    help='allow use of unsupported older compilers (NEVER for production builds)',
    nargs=0,
)

add_option('ssl',
    help='Enable SSL',
    nargs=0
)

add_option('ssl-provider',
    choices=['auto', 'openssl', 'native'],
    default='auto',
    help='Select the SSL engine to use',
    nargs=1,
    type='choice',
)

add_option('mmapv1',
    choices=['auto', 'on', 'off'],
    const='on',
    default='auto',
    help='Enable MMapV1',
    nargs='?',
    type='choice',
)

add_option('wiredtiger',
    choices=['on', 'off'],
    const='on',
    default='on',
    help='Enable wiredtiger',
    nargs='?',
    type='choice',
)

add_option('inmemory',
    choices=['on', 'off'],
    const='on',
    default='off',
    help='Enable InMemory',
    nargs='?',
    type='choice',
)

add_option('mobile-se',
    choices=['on', 'off'],
    const='on',
    default='off',
    help='Enable Mobile Storage Engine',
    nargs='?',
    type='choice',
)

add_option('audit',
    help='Enable auditing',
    nargs=0,
)

add_option('hotbackup',
    help='Enable Hot Backup',
    nargs=0,
)

js_engine_choices = ['mozjs', 'none']
add_option('js-engine',
    choices=js_engine_choices,
    default=js_engine_choices[0],
    help='JavaScript scripting engine implementation',
    type='choice',
)

add_option('server-js',
    choices=['on', 'off'],
    default='on',
    help='Build mongod without JavaScript support',
    type='choice',
)

add_option('libc++',
    help='use libc++ (experimental, requires clang)',
    nargs=0,
)

add_option('use-glibcxx-debug',
    help='Enable the glibc++ debug implementations of the C++ standard libary',
    nargs=0,
)

add_option('noshell',
    help="don't build shell",
    nargs=0,
)

add_option('safeshell',
    help="don't let shell scripts run programs (still, don't run untrusted scripts)",
    nargs=0,
)

add_option('dbg',
    choices=['on', 'off'],
    const='on',
    default='off',
    help='Enable runtime debugging checks',
    nargs='?',
    type='choice',
)

add_option('separate-debug',
    choices=['on', 'off'],
    const='on',
    default='off',
    help='Produce separate debug files (only effective in --install-mode=hygienic)',
    nargs='?',
    type='choice',
)

add_option('spider-monkey-dbg',
    choices=['on', 'off'],
    const='on',
    default='off',
    help='Enable SpiderMonkey debug mode',
    nargs='?',
    type='choice',
)

add_option('opt',
    choices=['on', 'size', 'off'],
    const='on',
    help='Enable compile-time optimization',
    nargs='?',
    type='choice',
)

add_option('sanitize',
    help='enable selected sanitizers',
    metavar='san1,san2,...sanN',
)

add_option('llvm-symbolizer',
    default='llvm-symbolizer',
    help='name of (or path to) the LLVM symbolizer',
)

add_option('durableDefaultOn',
    help='have durable default to on',
    nargs=0,
)

add_option('allocator',
    choices=["auto", "system", "tcmalloc"],
    default="auto",
    help='allocator to use (use "auto" for best choice for current platform)',
    type='choice',
)

add_option('gdbserver',
    help='build in gdb server support',
    nargs=0,
)

add_option('gcov',
    help='compile with flags for gcov',
    nargs=0,
)

add_option('enable-free-mon',
    choices=["auto", "on", "off"],
    default="auto",
    help='Disable support for Free Monitoring to avoid HTTP client library dependencies',
    type='choice',
)

add_option('use-sasl-client',
    help='Support SASL authentication in the client library',
    nargs=0,
)

add_option('use-system-tcmalloc',
    help='use system version of tcmalloc library',
    nargs=0,
)

add_option('use-system-fmt',
    help='use system version of fmt library',
    nargs=0,
)

add_option('use-system-pcre',
    help='use system version of pcre library',
    nargs=0,
)

add_option('use-system-wiredtiger',
    help='use system version of wiredtiger library',
    nargs=0,
)

add_option('system-boost-lib-search-suffixes',
    help='Comma delimited sequence of boost library suffixes to search',
)

add_option('use-system-boost',
    help='use system version of boost libraries',
    nargs=0,
)

add_option('use-system-snappy',
    help='use system version of snappy library',
    nargs=0,
)

add_option('use-system-lz4',
    help='use system version of LZ4 library',
    nargs=0,
)

add_option('use-system-valgrind',
    help='use system version of valgrind library',
    nargs=0,
)

add_option('use-system-google-benchmark',
    help='use system version of Google benchmark library',
    nargs=0,
)

add_option('use-system-zlib',
    help='use system version of zlib library',
    nargs=0,
)

add_option('use-system-sqlite',
    help='use system version of sqlite library',
    nargs=0,
)

add_option('use-system-stemmer',
    help='use system version of stemmer',
    nargs=0)

add_option('use-system-yaml',
    help='use system version of yaml',
    nargs=0,
)

add_option('use-system-asio',
    help="use system version of ASIO",
    nargs=0,
)

add_option('use-system-icu',
    help="use system version of ICU",
    nargs=0,
)

add_option('use-system-intel_decimal128',
    help='use system version of intel decimal128',
    nargs=0,
)

add_option('use-system-mongo-c',
    choices=['on', 'off', 'auto'],
    const='on',
    default="auto",
    help="use system version of the mongo-c-driver (auto will use it if it's found)",
    nargs='?',
    type='choice',
)

add_option('use-system-all',
    help='use all system libraries',
    nargs=0,
)

add_option('use-new-tools',
    help='put new tools in the tarball',
    nargs=0,
)

add_option('build-mongoreplay',
    help='when building with --use-new-tools, build mongoreplay ( requires pcap dev )',
    nargs=1,
)

add_option('use-cpu-profiler',
    help='Link against the google-perftools profiler library',
    nargs=0,
)

add_option('build-fast-and-loose',
    choices=['on', 'off', 'auto'],
    const='on',
    default='auto',
    help='looser dependency checking',
    nargs='?',
    type='choice',
)

add_option('disable-warnings-as-errors',
    help="Don't add -Werror to compiler command line",
    nargs=0,
)

add_option('detect-odr-violations',
    help="Have the linker try to detect ODR violations, if supported",
    nargs=0,
)

add_option('variables-help',
    help='Print the help text for SCons variables',
    nargs=0,
)

add_option('osx-version-min',
    help='minimum OS X version to support',
)

win_version_min_choices = {
    'win7'    : ('0601', '0000'),
    'ws08r2'  : ('0601', '0000'),
    'win8'    : ('0602', '0000'),
    'win81'   : ('0603', '0000'),
}

add_option('win-version-min',
    choices=win_version_min_choices.keys(),
    default=None,
    help='minimum Windows version to support',
    type='choice',
)

add_option('cache',
    choices=["all", "nolinked"],
    const='all',
    help='Use an object cache rather than a per-build variant directory (experimental)',
    nargs='?',
)

add_option('cache-dir',
    default='$BUILD_ROOT/scons/cache',
    help='Specify the directory to use for caching objects if --cache is in use',
)

add_option("cxx-std",
    choices=["14"],
    default="14",
    help="Select the C++ langauge standard to build with",
)

def find_mongo_custom_variables():
    files = []
    for path in sys.path:
        probe = os.path.join(path, 'mongo_custom_variables.py')
        if os.path.isfile(probe):
            files.append(probe)
    return files

add_option('variables-files',
    default=find_mongo_custom_variables(),
    help="Specify variables files to load",
)

link_model_choices = ['auto', 'object', 'static', 'dynamic', 'dynamic-strict', 'dynamic-sdk']
add_option('link-model',
    choices=link_model_choices,
    default='auto',
    help='Select the linking model for the project',
    type='choice'
)

variable_parse_mode_choices=['auto', 'posix', 'other']
add_option('variable-parse-mode',
    choices=variable_parse_mode_choices,
    default=variable_parse_mode_choices[0],
    help='Select which parsing mode is used to interpret command line variables',
    type='choice',
)

add_option('modules',
    help="Comma-separated list of modules to build. Empty means none. Default is all.",
)

=== buildscripts/requirements.txt ===
# Jira integration
lazy-object-proxy == 1.4.1
boto3 == 1.5.27
cryptography >= 2.0.0,<=2.3.1
jira == 1.0.10
pyjwt == 1.5.3
# Other
pyyaml == 5.1
unittest-xml-reporting == 2.1.0
# Linters
yapf == 0.21.0
mypy == 0.580 ; python_version > "3"
# typing in Python 2 for mypy
typing == 3.6.1; python_version < "3"
pylint == 1.8.3
pydocstyle == 2.1.1
# resmoke.py
-r resmokelib/requirements.txt
# generate_error_codes.py
cheetah3 == 3.0.0; python_version < "3"
jinja2 == 2.10
mock == 2.0.0
click ~= 7.0
evergreen.py == 0.3.9
shrub.py == 0.2.0
structlog ~= 19.1.0
psutil == 5.4.3
oauthlib == 3.1.0

=== aws-sdk-cpp/aws-cpp-sdk-acm-pca/CMakeLists.txt ===
add_project(aws-cpp-sdk-acm-pca "C++ SDK for the AWS acm-pca service" aws-cpp-sdk-core)

file(GLOB AWS_ACM-PCA_HEADERS
    "include/aws/acm-pca/*.h"
)

file(GLOB AWS_ACM-PCA_MODEL_HEADERS
    "include/aws/acm-pca/model/*.h"
)

file(GLOB AWS_ACM-PCA_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_ACM-PCA_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB ACM-PCA_UNIFIED_HEADERS
    ${AWS_ACM-PCA_HEADERS}
    ${AWS_ACM-PCA_MODEL_HEADERS}
)

file(GLOB ACM-PCA_UNITY_SRC
    ${AWS_ACM-PCA_SOURCE}
    ${AWS_ACM-PCA_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("ACM-PCA" ACM-PCA_UNITY_SRC)
endif()

file(GLOB ACM-PCA_SRC
    ${ACM-PCA_UNIFIED_HEADERS}
    ${ACM-PCA_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\acm-pca" FILES ${AWS_ACM-PCA_HEADERS})
        source_group("Header Files\\aws\\acm-pca\\model" FILES ${AWS_ACM-PCA_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_ACM-PCA_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_ACM-PCA_MODEL_SOURCE})
    endif(MSVC)
endif()

set(ACM-PCA_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${ACM-PCA_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_ACMPCA_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_ACM-PCA_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/acm-pca)
install (FILES ${AWS_ACM-PCA_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/acm-pca/model)

do_packaging()

=== aws-sdk-cpp/aws-cpp-sdk-connectparticipant/CMakeLists.txt ===
add_project(aws-cpp-sdk-connectparticipant "C++ SDK for the AWS connectparticipant service" aws-cpp-sdk-core)

file(GLOB AWS_CONNECTPARTICIPANT_HEADERS
    "include/aws/connectparticipant/*.h"
)

file(GLOB AWS_CONNECTPARTICIPANT_MODEL_HEADERS
    "include/aws/connectparticipant/model/*.h"
)

file(GLOB AWS_CONNECTPARTICIPANT_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_CONNECTPARTICIPANT_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB CONNECTPARTICIPANT_UNIFIED_HEADERS
    ${AWS_CONNECTPARTICIPANT_HEADERS}
    ${AWS_CONNECTPARTICIPANT_MODEL_HEADERS}
)

file(GLOB CONNECTPARTICIPANT_UNITY_SRC
    ${AWS_CONNECTPARTICIPANT_SOURCE}
    ${AWS_CONNECTPARTICIPANT_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("CONNECTPARTICIPANT" CONNECTPARTICIPANT_UNITY_SRC)
endif()

file(GLOB CONNECTPARTICIPANT_SRC
    ${CONNECTPARTICIPANT_UNIFIED_HEADERS}
    ${CONNECTPARTICIPANT_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\connectparticipant" FILES ${AWS_CONNECTPARTICIPANT_HEADERS})
        source_group("Header Files\\aws\\connectparticipant\\model" FILES ${AWS_CONNECTPARTICIPANT_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_CONNECTPARTICIPANT_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_CONNECTPARTICIPANT_MODEL_SOURCE})
    endif(MSVC)
endif()

set(CONNECTPARTICIPANT_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${CONNECTPARTICIPANT_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_CONNECTPARTICIPANT_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_CONNECTPARTICIPANT_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/connectparticipant)
install (FILES ${AWS_CONNECTPARTICIPANT_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/connectparticipant/model)

do_packaging()

=== aws-sdk-cpp/aws-cpp-sdk-ec2-integration-tests/CMakeLists.txt ===
add_project(aws-cpp-sdk-ec2-integration-tests
    "Tests for the AWS ec2 C++ SDK"
    aws-cpp-sdk-ec2
    testing-resources
    aws-cpp-sdk-core)

file(GLOB AWS_EC2_SRC
    "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp"
)

file(GLOB AWS_EC2_INTEGRATION_TESTS_SRC
    ${AWS_EC2_SRC}
)

if(MSVC AND BUILD_SHARED_LIBS)
    add_definitions(-DGTEST_LINKED_AS_SHARED_LIBRARY=1)
endif()

enable_testing()

if(PLATFORM_ANDROID AND BUILD_SHARED_LIBS)
    add_library(${PROJECT_NAME} ${AWS_EC2_INTEGRATION_TESTS_SRC})
else()
    add_executable(${PROJECT_NAME} ${AWS_EC2_INTEGRATION_TESTS_SRC})
endif()

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

target_link_libraries(${PROJECT_NAME} ${PROJECT_LIBS})

=== aws-sdk-cpp/aws-cpp-sdk-ecr/CMakeLists.txt ===
add_project(aws-cpp-sdk-ecr "C++ SDK for the AWS ecr service" aws-cpp-sdk-core)

file(GLOB AWS_ECR_HEADERS
    "include/aws/ecr/*.h"
)

file(GLOB AWS_ECR_MODEL_HEADERS
    "include/aws/ecr/model/*.h"
)

file(GLOB AWS_ECR_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_ECR_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB ECR_UNIFIED_HEADERS
    ${AWS_ECR_HEADERS}
    ${AWS_ECR_MODEL_HEADERS}
)

file(GLOB ECR_UNITY_SRC
    ${AWS_ECR_SOURCE}
    ${AWS_ECR_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("ECR" ECR_UNITY_SRC)
endif()

file(GLOB ECR_SRC
    ${ECR_UNIFIED_HEADERS}
    ${ECR_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\ecr" FILES ${AWS_ECR_HEADERS})
        source_group("Header Files\\aws\\ecr\\model" FILES ${AWS_ECR_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_ECR_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_ECR_MODEL_SOURCE})
    endif(MSVC)
endif()

set(ECR_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${ECR_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_ECR_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_ECR_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/ecr)
install (FILES ${AWS_ECR_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/ecr/model)

do_packaging()

=== aws-sdk-cpp/aws-cpp-sdk-elasticfilesystem-integration-tests/CMakeLists.txt ===
add_project(aws-cpp-sdk-elasticfilesystem-integration-tests
    "Tests for the AWS EFS C++ SDK"
    aws-cpp-sdk-elasticfilesystem
    testing-resources
    aws-cpp-sdk-core)

file(GLOB AWS_EFS_SRC
    "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp"
)

file(GLOB AWS_EFS_INTEGRATION_TESTS_SRC
    ${AWS_EFS_SRC}
)

enable_testing()

if(PLATFORM_ANDROID AND BUILD_SHARED_LIBS)
    add_library(${PROJECT_NAME} ${AWS_EFS_INTEGRATION_TESTS_SRC})
else()
    add_executable(${PROJECT_NAME} ${AWS_EFS_INTEGRATION_TESTS_SRC})
endif()

target_compile_definitions(${PROJECT_NAME} PRIVATE -DRESOURCES_DIR="${CMAKE_CURRENT_SOURCE_DIR}/resources")

if(MSVC AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE -DGTEST_LINKED_AS_SHARED_LIBRARY=1)
endif()

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

target_link_libraries(${PROJECT_NAME} ${PROJECT_LIBS})

=== aws-sdk-cpp/aws-cpp-sdk-health/CMakeLists.txt ===
add_project(aws-cpp-sdk-health "C++ SDK for the AWS health service" aws-cpp-sdk-core)

file(GLOB AWS_HEALTH_HEADERS
    "include/aws/health/*.h"
)

file(GLOB AWS_HEALTH_MODEL_HEADERS
    "include/aws/health/model/*.h"
)

file(GLOB AWS_HEALTH_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_HEALTH_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB HEALTH_UNIFIED_HEADERS
    ${AWS_HEALTH_HEADERS}
    ${AWS_HEALTH_MODEL_HEADERS}
)

file(GLOB HEALTH_UNITY_SRC
    ${AWS_HEALTH_SOURCE}
    ${AWS_HEALTH_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("HEALTH" HEALTH_UNITY_SRC)
endif()

file(GLOB HEALTH_SRC
    ${HEALTH_UNIFIED_HEADERS}
    ${HEALTH_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\health" FILES ${AWS_HEALTH_HEADERS})
        source_group("Header Files\\aws\\health\\model" FILES ${AWS_HEALTH_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_HEALTH_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_HEALTH_MODEL_SOURCE})
    endif(MSVC)
endif()

set(HEALTH_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${HEALTH_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_HEALTH_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_HEALTH_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/health)
install (FILES ${AWS_HEALTH_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/health/model)

do_packaging()

=== aws-sdk-cpp/aws-cpp-sdk-identity-management-tests/CMakeLists.txt ===
add_project(aws-cpp-sdk-identity-management-tests 
    "Tests for the AWS Identity Management C++ SDK" 
    aws-cpp-sdk-identity-management
    aws-cpp-sdk-cognito-identity
    aws-cpp-sdk-sts
    testing-resources 
    aws-cpp-sdk-core)

# Headers are included in the source so that they show up in Visual Studio.
# They are included elsewhere for consistency.
file(GLOB AWS_AUTH_SRC "${CMAKE_CURRENT_SOURCE_DIR}/auth/*.cpp")

file(GLOB AWS_CPP_SDK_IDENTITY_MANAGEMENT_TESTS_SRC
  "${CMAKE_CURRENT_SOURCE_DIR}/RunTests.cpp"
  ${AWS_AUTH_SRC}
)

if(PLATFORM_WINDOWS)
  if(MSVC)
    source_group("Source Files\\aws\\identity-management\\auth" FILES ${AWS_AUTH_SRC})
  endif()
endif()

if (CMAKE_CROSSCOMPILING)
    set(AUTORUN_UNIT_TESTS OFF)
endif()

if (AUTORUN_UNIT_TESTS)
    enable_testing()
endif()

if(PLATFORM_WINDOWS AND MSVC AND BUILD_SHARED_LIBS)
    add_definitions(-DGTEST_LINKED_AS_SHARED_LIBRARY=1)
endif()

if(PLATFORM_ANDROID AND BUILD_SHARED_LIBS)
    add_library(${PROJECT_NAME} ${AWS_CPP_SDK_IDENTITY_MANAGEMENT_TESTS_SRC})
else()
    add_executable(${PROJECT_NAME} ${AWS_CPP_SDK_IDENTITY_MANAGEMENT_TESTS_SRC})
endif()

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

target_link_libraries(${PROJECT_NAME} ${PROJECT_LIBS})

if (AUTORUN_UNIT_TESTS)
    ADD_CUSTOM_COMMAND( TARGET ${PROJECT_NAME} POST_BUILD COMMAND $<TARGET_FILE:${PROJECT_NAME}>)
endif()

if(NOT CMAKE_CROSSCOMPILING)
    SET_TARGET_PROPERTIES(${PROJECT_NAME} PROPERTIES OUTPUT_NAME ${PROJECT_NAME})
endif()

=== aws-sdk-cpp/aws-cpp-sdk-identitystore/CMakeLists.txt ===
add_project(aws-cpp-sdk-identitystore "C++ SDK for the AWS identitystore service" aws-cpp-sdk-core)

file(GLOB AWS_IDENTITYSTORE_HEADERS
    "include/aws/identitystore/*.h"
)

file(GLOB AWS_IDENTITYSTORE_MODEL_HEADERS
    "include/aws/identitystore/model/*.h"
)

file(GLOB AWS_IDENTITYSTORE_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_IDENTITYSTORE_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB IDENTITYSTORE_UNIFIED_HEADERS
    ${AWS_IDENTITYSTORE_HEADERS}
    ${AWS_IDENTITYSTORE_MODEL_HEADERS}
)

file(GLOB IDENTITYSTORE_UNITY_SRC
    ${AWS_IDENTITYSTORE_SOURCE}
    ${AWS_IDENTITYSTORE_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("IDENTITYSTORE" IDENTITYSTORE_UNITY_SRC)
endif()

file(GLOB IDENTITYSTORE_SRC
    ${IDENTITYSTORE_UNIFIED_HEADERS}
    ${IDENTITYSTORE_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\identitystore" FILES ${AWS_IDENTITYSTORE_HEADERS})
        source_group("Header Files\\aws\\identitystore\\model" FILES ${AWS_IDENTITYSTORE_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_IDENTITYSTORE_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_IDENTITYSTORE_MODEL_SOURCE})
    endif(MSVC)
endif()

set(IDENTITYSTORE_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${IDENTITYSTORE_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_IDENTITYSTORE_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_IDENTITYSTORE_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/identitystore)
install (FILES ${AWS_IDENTITYSTORE_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/identitystore/model)

do_packaging()

=== aws-sdk-cpp/aws-cpp-sdk-iot-data/CMakeLists.txt ===
add_project(aws-cpp-sdk-iot-data "C++ SDK for the AWS iot-data service" aws-cpp-sdk-core)

file(GLOB AWS_IOT-DATA_HEADERS
    "include/aws/iot-data/*.h"
)

file(GLOB AWS_IOT-DATA_MODEL_HEADERS
    "include/aws/iot-data/model/*.h"
)

file(GLOB AWS_IOT-DATA_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_IOT-DATA_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB IOT-DATA_UNIFIED_HEADERS
    ${AWS_IOT-DATA_HEADERS}
    ${AWS_IOT-DATA_MODEL_HEADERS}
)

file(GLOB IOT-DATA_UNITY_SRC
    ${AWS_IOT-DATA_SOURCE}
    ${AWS_IOT-DATA_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("IOT-DATA" IOT-DATA_UNITY_SRC)
endif()

file(GLOB IOT-DATA_SRC
    ${IOT-DATA_UNIFIED_HEADERS}
    ${IOT-DATA_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\iot-data" FILES ${AWS_IOT-DATA_HEADERS})
        source_group("Header Files\\aws\\iot-data\\model" FILES ${AWS_IOT-DATA_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_IOT-DATA_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_IOT-DATA_MODEL_SOURCE})
    endif(MSVC)
endif()

set(IOT-DATA_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${IOT-DATA_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_IOTDATAPLANE_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_IOT-DATA_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/iot-data)
install (FILES ${AWS_IOT-DATA_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/iot-data/model)

do_packaging()

=== aws-sdk-cpp/aws-cpp-sdk-ivs/CMakeLists.txt ===
add_project(aws-cpp-sdk-ivs "C++ SDK for the AWS ivs service" aws-cpp-sdk-core)

file(GLOB AWS_IVS_HEADERS
    "include/aws/ivs/*.h"
)

file(GLOB AWS_IVS_MODEL_HEADERS
    "include/aws/ivs/model/*.h"
)

file(GLOB AWS_IVS_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_IVS_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB IVS_UNIFIED_HEADERS
    ${AWS_IVS_HEADERS}
    ${AWS_IVS_MODEL_HEADERS}
)

file(GLOB IVS_UNITY_SRC
    ${AWS_IVS_SOURCE}
    ${AWS_IVS_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("IVS" IVS_UNITY_SRC)
endif()

file(GLOB IVS_SRC
    ${IVS_UNIFIED_HEADERS}
    ${IVS_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\ivs" FILES ${AWS_IVS_HEADERS})
        source_group("Header Files\\aws\\ivs\\model" FILES ${AWS_IVS_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_IVS_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_IVS_MODEL_SOURCE})
    endif(MSVC)
endif()

set(IVS_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${IVS_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_IVS_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_IVS_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/ivs)
install (FILES ${AWS_IVS_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/ivs/model)

do_packaging()

=== debian/changelog ===
percona-server-mongodb (4.0.28-23) unstable; urgency=medium

  * Update to new Percona Server for MongoDB version 4.0.28

 -- root <root@afc9dd9a6f36>  Tue, 22 Feb 2022 11:33:12 +0000

=== debian/control ===
Source: percona-server-mongodb
Maintainer: Percona Development Team <opensource-dev@percona.com>
Section: database
Priority: extra
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 9), debconf, libbz2-dev, libsnappy-dev, pkg-config, zlib1g-dev, libzlcore-dev,  libsasl2-dev, g++, cmake, libldap2-dev, libkrb5-dev


Package: percona-server-mongodb
Architecture: any
Breaks: percona-server-mongodb (< 4.0.0), percona-server-mongodb-32, percona-server-mongodb-34, percona-server-mongodb-36, mongodb-org, mongo-10gen, mongo-10gen-enterprise, mongo-10gen-enterprise-server, mongo-10gen-server, mongo-10gen-unstable, mongo-10gen-unstable-enterprise, mongo-10gen-unstable-enterprise-mongos, mongo-10gen-unstable-enterprise-server, mongo-10gen-unstable-enterprise-shell, mongo-10gen-unstable-enterprise-tools, mongo-10gen-unstable-mongos, mongo-10gen-unstable-server, mongo-10gen-unstable-shell, mongo-10gen-unstable-tools, mongo18-10gen, mongo18-10gen-server, mongo20-10gen, mongo20-10gen-server, mongodb, mongodb-server, mongodb-dev, mongodb-clients, mongodb-10gen, mongodb-10gen-enterprise, mongodb-10gen-unstable, mongodb-10gen-unstable-enterprise, mongodb-10gen-unstable-enterprise-mongos, mongodb-10gen-unstable-enterprise-server, mongodb-10gen-unstable-enterprise-shell, mongodb-10gen-unstable-enterprise-tools, mongodb-10gen-unstable-mongos, mongodb-10gen-unstable-server, mongodb-10gen-unstable-shell, mongodb-10gen-unstable-tools, mongodb-enterprise, mongodb-enterprise-mongos, mongodb-enterprise-server, mongodb-enterprise-shell, mongodb-enterprise-tools, mongodb-nightly, mongodb-org, mongodb-org-mongos, mongodb-org-server, mongodb-org-shell, mongodb-org-tools, mongodb-enterprise-unstable, mongodb-enterprise-unstable-mongos, mongodb-enterprise-unstable-server, mongodb-enterprise-unstable-shell, mongodb-enterprise-unstable-tools, mongodb-stable, mongodb18-10gen, mongodb20-10gen, mongodb-database-tools
Depends: ${shlibs:Depends}, ${misc:Depends}, percona-server-mongodb-mongos (= ${source:Version}), percona-server-mongodb-shell (= ${source:Version}), percona-server-mongodb-server (= ${source:Version}), percona-server-mongodb-tools (= ${source:Version}), libsasl2-modules-gssapi-mit
Description: This metapackage will install the mongo shell, import/export tools, other client utilities, server software, default configuration, and init.d scripts.
 This package contains high-performance MongoDB replacement from Percona - Percona Server for MongoDB.
 Percona Server for MongoDB is built for scalability, performance and high availability, scaling from single server deployments to large, complex multi-site architectures.
 By leveraging in-memory computing, Percona Server for MongoDB provides high performance for both reads and writes.
 Percona Server for MongoDB's native replication and automated failover enable enterprise-grade reliability and operational flexibility.
 .
 Percona Server for MongoDB is an open-source database used by companies of all sizes, across all industries and for a wide variety of applications.
 It is an agile database that allows schemas to change quickly as applications evolve, while still providing the functionality developers expect from traditional databases,
 such as secondary indexes, a full query language and strict consistency.
 .
 Percona Server for MongoDB has a rich client ecosystem including hadoop integration, officially supported drivers for 10 programming languages and environments, as well as 40 drivers supported by the user community.
 .
 Percona Server for MongoDB features:
 * JSON Data Model with Dynamic Schemas
 * Auto-Sharding for Horizontal Scalability
 * Built-In Replication for High Availability
 * Rich Secondary Indexes, including geospatial
 * TTL indexes
 * Text Search
 * Aggregation Framework & Native MapReduce

Package: percona-server-mongodb-mongos
Architecture: any
Breaks: percona-server-mongodb-mongos (< 4.0.0), percona-server-mongodb-32-mongos, percona-server-mongodb-34-mongos, percona-server-mongodb-36-mongos, mongodb-org-mongos, mongo-10gen, mongo-10gen-enterprise, mongo-10gen-enterprise-server, mongo-10gen-server, mongo-10gen-unstable, mongo-10gen-unstable-enterprise, mongo-10gen-unstable-enterprise-mongos, mongo-10gen-unstable-enterprise-server, mongo-10gen-unstable-enterprise-shell, mongo-10gen-unstable-enterprise-tools, mongo-10gen-unstable-mongos, mongo-10gen-unstable-server, mongo-10gen-unstable-shell, mongo-10gen-unstable-tools, mongo18-10gen, mongo18-10gen-server, mongo20-10gen, mongo20-10gen-server, mongodb, mongodb-server, mongodb-dev, mongodb-clients, mongodb-10gen, mongodb-10gen-enterprise, mongodb-10gen-unstable, mongodb-10gen-unstable-enterprise, mongodb-10gen-unstable-enterprise-mongos, mongodb-10gen-unstable-enterprise-server, mongodb-10gen-unstable-enterprise-shell, mongodb-10gen-unstable-enterprise-tools, mongodb-10gen-unstable-mongos, mongodb-10gen-unstable-server, mongodb-10gen-unstable-shell, mongodb-10gen-unstable-tools, mongodb-enterprise, mongodb-enterprise-mongos, mongodb-enterprise-server, mongodb-enterprise-shell, mongodb-enterprise-tools, mongodb-nightly, mongodb-org, mongodb-org-mongos, mongodb-org-server, mongodb-org-shell, mongodb-org-tools, mongodb-enterprise-unstable, mongodb-enterprise-unstable-mongos, mongodb-enterprise-unstable-server, mongodb-enterprise-unstable-shell, mongodb-enterprise-unstable-tools, mongodb-stable, mongodb18-10gen, mongodb20-10gen, mongodb-database-tools
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: This package contains mongos - the Percona Server for MongoDB sharded cluster query router
 Percona Server for MongoDB is a drop-in high-performance replacement for MongoDB from Percona

Package: percona-server-mongodb-server
Architecture: any
Breaks: percona-server-mongodb-server (< 4.0.0), percona-server-mongodb-32-server, percona-server-mongodb-34-server, percona-server-mongodb-36-server, mongodb-org-server, mongo-10gen, mongo-10gen-enterprise, mongo-10gen-enterprise-server, mongo-10gen-server, mongo-10gen-unstable, mongo-10gen-unstable-enterprise, mongo-10gen-unstable-enterprise-mongos, mongo-10gen-unstable-enterprise-server, mongo-10gen-unstable-enterprise-shell, mongo-10gen-unstable-enterprise-tools, mongo-10gen-unstable-mongos, mongo-10gen-unstable-server, mongo-10gen-unstable-shell, mongo-10gen-unstable-tools, mongo18-10gen, mongo18-10gen-server, mongo20-10gen, mongo20-10gen-server, mongodb, mongodb-server, mongodb-dev, mongodb-clients, mongodb-10gen, mongodb-10gen-enterprise, mongodb-10gen-unstable, mongodb-10gen-unstable-enterprise, mongodb-10gen-unstable-enterprise-mongos, mongodb-10gen-unstable-enterprise-server, mongodb-10gen-unstable-enterprise-shell, mongodb-10gen-unstable-enterprise-tools, mongodb-10gen-unstable-mongos, mongodb-10gen-unstable-server, mongodb-10gen-unstable-shell, mongodb-10gen-unstable-tools, mongodb-enterprise, mongodb-enterprise-mongos, mongodb-enterprise-server, mongodb-enterprise-shell, mongodb-enterprise-tools, mongodb-nightly, mongodb-org, mongodb-org-mongos, mongodb-org-server, mongodb-org-shell, mongodb-org-tools, mongodb-enterprise-unstable, mongodb-enterprise-unstable-mongos, mongodb-enterprise-unstable-server, mongodb-enterprise-unstable-shell, mongodb-enterprise-unstable-tools, mongodb-stable, mongodb18-10gen, mongodb20-10gen, mongodb-database-tools
Depends: ${shlibs:Depends}, ${misc:Depends}, percona-server-mongodb-shell
Description: This package contains the Percona Server for MongoDB server software, default configuration files and init.d scripts
 Percona Server for MongoDB is a drop-in high-performance replacement for MongoDB from Percona

Package: percona-server-mongodb-shell
Architecture: any
Breaks: percona-server-mongodb-shell (< 4.0.0), percona-server-mongodb-32-shell, percona-server-mongodb-34-shell, percona-server-mongodb-36-shell, mongodb-org-shell, mongo-10gen, mongo-10gen-enterprise, mongo-10gen-enterprise-server, mongo-10gen-server, mongo-10gen-unstable, mongo-10gen-unstable-enterprise, mongo-10gen-unstable-enterprise-mongos, mongo-10gen-unstable-enterprise-server, mongo-10gen-unstable-enterprise-shell, mongo-10gen-unstable-enterprise-tools, mongo-10gen-unstable-mongos, mongo-10gen-unstable-server, mongo-10gen-unstable-shell, mongo-10gen-unstable-tools, mongo18-10gen, mongo18-10gen-server, mongo20-10gen, mongo20-10gen-server, mongodb, mongodb-server, mongodb-dev, mongodb-clients, mongodb-10gen, mongodb-10gen-enterprise, mongodb-10gen-unstable, mongodb-10gen-unstable-enterprise, mongodb-10gen-unstable-enterprise-mongos, mongodb-10gen-unstable-enterprise-server, mongodb-10gen-unstable-enterprise-shell, mongodb-10gen-unstable-enterprise-tools, mongodb-10gen-unstable-mongos, mongodb-10gen-unstable-server, mongodb-10gen-unstable-shell, mongodb-10gen-unstable-tools, mongodb-enterprise, mongodb-enterprise-mongos, mongodb-enterprise-server, mongodb-enterprise-shell, mongodb-enterprise-tools, mongodb-nightly, mongodb-org, mongodb-org-mongos, mongodb-org-server, mongodb-org-shell, mongodb-org-tools, mongodb-enterprise-unstable, mongodb-enterprise-unstable-mongos, mongodb-enterprise-unstable-server, mongodb-enterprise-unstable-shell, mongodb-enterprise-unstable-tools, mongodb-stable, mongodb18-10gen, mongodb20-10gen, mongodb-database-tools
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: This package contains the Percona Server for MongoDB shell
 Percona Server for MongoDB is a drop-in high-performance replacement for MongoDB from Percona

Package: percona-server-mongodb-tools
Architecture: any
Breaks: percona-server-mongodb-tools (< 4.0.0), percona-server-mongodb-32-tools, percona-server-mongodb-34-tools, percona-server-mongodb-36-tools, mongodb-org-tools, mongo-10gen, mongo-10gen-enterprise, mongo-10gen-enterprise-server, mongo-10gen-server, mongo-10gen-unstable, mongo-10gen-unstable-enterprise, mongo-10gen-unstable-enterprise-mongos, mongo-10gen-unstable-enterprise-server, mongo-10gen-unstable-enterprise-shell, mongo-10gen-unstable-enterprise-tools, mongo-10gen-unstable-mongos, mongo-10gen-unstable-server, mongo-10gen-unstable-shell, mongo-10gen-unstable-tools, mongo18-10gen, mongo18-10gen-server, mongo20-10gen, mongo20-10gen-server, mongodb, mongodb-server, mongodb-dev, mongodb-clients, mongodb-10gen, mongodb-10gen-enterprise, mongodb-10gen-unstable, mongodb-10gen-unstable-enterprise, mongodb-10gen-unstable-enterprise-mongos, mongodb-10gen-unstable-enterprise-server, mongodb-10gen-unstable-enterprise-shell, mongodb-10gen-unstable-enterprise-tools, mongodb-10gen-unstable-mongos, mongodb-10gen-unstable-server, mongodb-10gen-unstable-shell, mongodb-10gen-unstable-tools, mongodb-enterprise, mongodb-enterprise-mongos, mongodb-enterprise-server, mongodb-enterprise-shell, mongodb-enterprise-tools, mongodb-nightly, mongodb-org, mongodb-org-mongos, mongodb-org-server, mongodb-org-shell, mongodb-org-tools, mongodb-enterprise-unstable, mongodb-enterprise-unstable-mongos, mongodb-enterprise-unstable-server, mongodb-enterprise-unstable-shell, mongodb-enterprise-unstable-tools, mongodb-stable, mongodb18-10gen, mongodb20-10gen, mongodb-database-tools
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Mongo tools for high-performance MongoDB fork from Percona
 Percona Server for MongoDB is a drop-in high-performance replacement for MongoDB from Percona

Package: percona-server-mongodb-dbg
Architecture: any
Breaks: percona-server-mongodb-dbg(< 4.0.0), percona-server-mongodb-32-dbg, percona-server-mongodb-34-dbg, percona-server-mongodb-36-dbg
Section: debug
Depends: percona-server-mongodb (= ${binary:Version}), ${misc:Depends}
Description: Debugging package for Percona Server for MongoDB
 Percona Server for MongoDB is a drop-in high-performance replacement for MongoDB from Percona
